Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.ontology
Interface Profile

    public interface Profile

Interface that encapsulates the elements of a general vocabulary corresponding to a particular ontology language. The intent is that, using a given vocabulary, a given RDF model can be processed as an ontology description, without binding knowledge of the vocabulary into this Java package. For tractability, this limits the vocabularies that can easily be represented to those that are similar to OWL and DAML+OIL.

Version:
  CVS $Id: Profile.java,v 1.19 2008/01/02 12:06:42 andy_seaborne Exp $
Author:
  Ian Dickinson, HP Labs (email)

Method Summary
`Resource` | `ALL_DIFFERENT()` Answer the resource that represents the class of axioms denoting that a set of individuals are pairwise distinct.
`Property` | `ALL_VALUES_FROM()` Answer the predicate that denotes a restriction on a given property to have only values from the given class expression.
`Resource` | `ANNOTATION_PROPERTY()` Answer the class that denotes an annotation property
`Property` | `BACKWARD_COMPATIBLE_WITH()` Answer the predicate that documents that one ontology resource is backwards compatible with another.
`Property` | `CARDINALITY_Q()` Answer the predicate that denotes a qualified restriction on a given property to have exactly a certain number of values
`Property` | `CARDINALITY()` Answer the predicate that denotes a restriction on a given property to have exactly a certain number of values
`Resource` | `CLASS()` Answer the resource that represents the class 'class' in this vocabulary.
`Property` | `COMMENT()` Answer the predicate that denotes `comment` annotation on an ontology element
`Property` | `COMPLEMENT_OF()` Answer the predicate that denotes that one class comprises the individuals that are not in a second class.
`Resource` | `DATARANGE()` Answer the class that defines a closed range of concrete data values.
`Resource` | `DATATYPE_PROPERTY()` Answer the resource that represents the class of properties whose range elements are literals (not individuals)
`Resource` | `DEPRECATED_CLASS()` Answer the resource that represents the documentation class of deprecated classes.
`Resource` | `DEPRECATED_PROPERTY()` Answer the resource that represents the documentation class of deprecated properties.
`Property` | `DIFFERENT_FROM()` Answer the predicate that denotes that one resource represents a different individual than another resource.
`Property` | `DISJOINT_WITH()` Answer the predicate that denotes that one class has no individuals in its extension in common with another class.
`Property` | `DISTINCT_MEMBERS()` Answer the predicate that maps from an `ALL_DIFFERENT()` axiom to the set of individuals that are pair-wise different from each other.
`Property` | `DOMAIN()` Answer the predicate that denotes the domain of a property.
`Property` | `EQUIVALENT_CLASS()` Answer the predicate that denotes that one class has the same extension as another.
`Property` | `EQUIVALENT_PROPERTY()` Answer the predicate that denotes that one property has the same property extension as another.
`Property` | `FIRST()` The property that denotes the head of a list
`Resource` | `FUNCTIONAL_PROPERTY()` Answer the resource that represents the class of properties that are functional, i.e. whose range is unique for a given domain element.
`Resource` | `getAliasFor(Resource res)` Answer an alias for the given resource.
`java.util.Iterator` | `getAnnotationProperties()` Answer an iterator over the properties in this language that are denoted annotation properties.
`java.util.Iterator` | `getAxiomTypes()` Answer an iterator over the rdf:types in this language that denote stand-alone axioms.
`java.util.Iterator` | `getClassDescriptionTypes()` Answer an iterator over the various types of class description defined in the language.
`java.lang.String` | `getLabel()` Answer a descriptive string for this profile, for use in debugging and other output.
`Property` | `HAS_CLASS_Q()` Answer the predicate that denotes a the class in a qualified restriction.
`Property` | `HAS_VALUE()` Answer the predicate that denotes a restriction on a given property to have a given value.
`boolean` | `hasAliasFor(Resource res)` Answer true if the given resource has an alias in this profile.
`Property` | `IMPORTS()` Answer the predicate that denotes that one ontology document imports another.
`Property` | `INCOMPATIBLE_WITH()` Answer the predicate that documents that one ontology resource is not backwards compatible with another.
`Property` | `INTERSECTION_OF()` Answer the predicate that denotes that one class is formed from the intersection (conjunction) of a set of others.
`Resource` | `INVERSE_FUNCTIONAL_PROPERTY()` Answer the resource that represents the class of properties that are inverse functional, i.e. whose domain is unique for a given range element.
`Property` | `INVERSE_OF()` Answer the predicate that denotes that one property is the inverse of another
`Property` | `IS_DEFINED_BY()` Answer the predicate that denotes `isDefinedBy` annotation on an ontology element
`boolean` | `isSupported(Node n, EnhGraph g, java.lang.Class type)` Answer true if the given graph supports a view of this node as the given language element, according to the semantic constraints of the profile.
`Property` | `LABEL()` Answer the predicate that denotes `label` annotation on an ontology element
`Resource` | `LIST()` The `rdf:type` for cells in this list
`java.util.Iterator` | `listAliasesFor(Resource res)` Answer an iterator over the defined aliases for a resource.
`Property` | `MAX_CARDINALITY_Q()` Answer the predicate that denotes a qualified restriction on a given property to have at most a certain number of values
`Property` | `MAX_CARDINALITY()` Answer the predicate that denotes a restriction on a given property to have at most a certain number of values
`Property` | `MIN_CARDINALITY_Q()` Answer the predicate that denotes a qualified restriction on a given property to have at least a certain number of values
`Property` | `MIN_CARDINALITY()` Answer the predicate that denotes a restriction on a given property to have at least a certain number of values
`java.lang.String` | `NAMESPACE()` Answer the string that is the namespace prefix for this vocabulary
`Resource` | `NIL()` The resource that denotes the end of the list
`Resource` | `NOTHING()` Answer the resource that represents the necessarily empty class.
`Resource` | `OBJECT_PROPERTY()` Answer the resource that represents the class of properties whose range elements are individuals (not literals)
`Property` | `ON_PROPERTY()` Answer the predicate that maps from a `RESTRICTION()` to a property that it is a restriction on.
`Property` | `ONE_OF()` Answer the predicate that denotes that a class comprises exactly one of a given closed set individuals.
`Resource` | `ONTOLOGY_PROPERTY()` Answer the class that denotes an ontology property
`Resource` | `ONTOLOGY()` Answer the resource that represents the class of ontology header elements.
`Property` | `PRIOR_VERSION()` Answer the predicate that documents that one ontology is a prior version of another.
`Resource` | `PROPERTY()` Answer the resource that represents the general class of properties.
`Property` | `RANGE()` Answer the predicate that denotes the range of a property
`Property` | `REST()` The property that denotes the tail of a list
`Resource` | `RESTRICTION()` Answer the resource that represents the a class formed by placing constraints (restrictions) on the values of a property.
`Property` | `SAME_AS()` Answer the predicate that denotes that one resource represents the same ontology object as another.
`Property` | `SAME_INDIVIDUAL_AS()` Answer the predicate that denotes that one resource represents the same individual as another.
`Property` | `SEE_ALSO()` Answer the predicate that denotes `seeAlso` annotation on an ontology element
`Property` | `SOME_VALUES_FROM()` Answer the predicate that denotes a restriction on a given property to have at least one value from the given class expression.
`Property` | `SUB_CLASS_OF()` Answer the predicate that denotes that one class is a sub-class of another.
`Property` | `SUB_PROPERTY_OF()` Answer the predicate that denotes that one property is a sub-property of another.
`Resource` | `SYMMETRIC_PROPERTY()` Answer the resource that represents the class of properties that are symmetric.
`Resource` | `THING()` Answer the resource that represents the class all individuals.
`Resource` | `TRANSITIVE_PROPERTY()` Answer the resource that represents the class of properties that apply transitively.
`Property` | `UNION_OF()` Answer the predicate that denotes that one class is formed from the union (disjunction) of a set of others.
`Property` | `VERSION_INFO()` Answer the predicate that denotes version-info metadata on an ontology header

Method Detail

### NAMESPACE

    java.lang.String NAMESPACE()

  Answer the string that is the namespace prefix for this vocabulary

  Returns:
    The namespace prefix, for example `http://www.w3c.org/2002/07/owl#`

### CLASS

    Resource CLASS()

  Answer the resource that represents the class 'class' in this vocabulary.

  Returns:
    The resource that represents the concept of a class

### RESTRICTION

    Resource RESTRICTION()

  Answer the resource that represents the a class formed by placing constraints (restrictions) on the values of a property.

  Returns:
    The resource that represents the concept of a restriction

### THING

    Resource THING()

  Answer the resource that represents the class all individuals.

  Returns:
    The resource that represents the concept of the top class

### NOTHING

    Resource NOTHING()

  Answer the resource that represents the necessarily empty class.

  Returns:
    The resource that represents the concept the bottom class.

### PROPERTY

    Resource PROPERTY()

  Answer the resource that represents the general class of properties. This will typically be `rdf:Property`.

  Returns:
    The resource that represents the concept of a property.

### OBJECT_PROPERTY

    Resource OBJECT_PROPERTY()

  Answer the resource that represents the class of properties whose range elements are individuals (not literals)

  Returns:
    The resource that represents the concept of an object (individual) property.

### DATATYPE_PROPERTY

    Resource DATATYPE_PROPERTY()

  Answer the resource that represents the class of properties whose range elements are literals (not individuals)

  Returns:
    The resource that represents the concept of an object (individual) property.

### TRANSITIVE_PROPERTY

    Resource TRANSITIVE_PROPERTY()

  Answer the resource that represents the class of properties that apply transitively.

  Returns:
    The resource that represents the concept of a transitive property.

### SYMMETRIC_PROPERTY

    Resource SYMMETRIC_PROPERTY()

  Answer the resource that represents the class of properties that are symmetric.

  Returns:
    The resource that represents the concept of a symmetric property.

### FUNCTIONAL_PROPERTY

    Resource FUNCTIONAL_PROPERTY()

  Answer the resource that represents the class of properties that are functional, i.e. whose range is unique for a given domain element.

  Returns:
    The resource that represents the concept of a functional property.

### INVERSE_FUNCTIONAL_PROPERTY

    Resource INVERSE_FUNCTIONAL_PROPERTY()

  Answer the resource that represents the class of properties that are inverse functional, i.e. whose domain is unique for a given range element.

  Returns:
    The resource that represents the concept of an inverse functional property.

### ALL_DIFFERENT

    Resource ALL_DIFFERENT()

  Answer the resource that represents the class of axioms denoting that a set of individuals are pairwise distinct.

  Returns:
    The resource that represents the concept of an all-different axiom.

### ONTOLOGY

    Resource ONTOLOGY()

  Answer the resource that represents the class of ontology header elements. Individuals of this class typically associate meta-data about an ontology document with the classes and properties in the document.

  Returns:
    The resource that represents the concept of an ontology header element.

### DEPRECATED_CLASS

    Resource DEPRECATED_CLASS()

  Answer the resource that represents the documentation class of deprecated classes. Belonging to this class is a hint to developers that a given class has been superceded in a later revision of the ontology.

  Returns:
    The resource that represents the concept of a deprecated class.

### DEPRECATED_PROPERTY

    Resource DEPRECATED_PROPERTY()

  Answer the resource that represents the documentation class of deprecated properties. Belonging to this class is a hint to developers that a given property has been superceded in a later revision of the ontology.

  Returns:
    The resource that represents the concept of a deprecated property.

### ANNOTATION_PROPERTY

    Resource ANNOTATION_PROPERTY()

  Answer the class that denotes an annotation property

  Returns:
    The AnnotationProperty class

### ONTOLOGY_PROPERTY

    Resource ONTOLOGY_PROPERTY()

  Answer the class that denotes an ontology property

  Returns:
    The OntologyProperty class

### DATARANGE

    Resource DATARANGE()

  Answer the class that defines a closed range of concrete data values.

  Returns:
    The DataRange class

### EQUIVALENT_PROPERTY

    Property EQUIVALENT_PROPERTY()

  Answer the predicate that denotes that one property has the same property extension as another.

  Returns:
    The property that denotes equivalence between two property resources.

### EQUIVALENT_CLASS

    Property EQUIVALENT_CLASS()

  Answer the predicate that denotes that one class has the same extension as another.

  Returns:
    The property that denotes equivalence between two class expressions.

### DISJOINT_WITH

    Property DISJOINT_WITH()

  Answer the predicate that denotes that one class has no individuals in its extension in common with another class.

  Returns:
    The property that denotes disjointness between two class expressions.

### SAME_INDIVIDUAL_AS

    Property SAME_INDIVIDUAL_AS()

  Answer the predicate that denotes that one resource represents the same individual as another.

  Returns:
    The property that denotes equivalence between two resources denoting individuals.

### SAME_AS

    Property SAME_AS()

  Answer the predicate that denotes that one resource represents the same ontology object as another.

  Returns:
    The property that denotes equivalence between two resources.

### DIFFERENT_FROM

    Property DIFFERENT_FROM()

  Answer the predicate that denotes that one resource represents a different individual than another resource.

  Returns:
    The property that denotes distinctness between two individuals.

### DISTINCT_MEMBERS

    Property DISTINCT_MEMBERS()

  Answer the predicate that maps from an `ALL_DIFFERENT()` axiom to the set of individuals that are pair-wise different from each other.

  Returns:
    The property that introduces a list of individuals that are distinct.

### UNION_OF

    Property UNION_OF()

  Answer the predicate that denotes that one class is formed from the union (disjunction) of a set of others.

  Returns:
    The property that denotes a class defined by a union of class expressions.

### INTERSECTION_OF

    Property INTERSECTION_OF()

  Answer the predicate that denotes that one class is formed from the intersection (conjunction) of a set of others.

  Returns:
    The property that denotes a class defined by an intersection of class expressions.

### COMPLEMENT_OF

    Property COMPLEMENT_OF()

  Answer the predicate that denotes that one class comprises the individuals that are not in a second class.

  Returns:
    The property that denotes a class defined by the complement of a class expression.

### ONE_OF

    Property ONE_OF()

  Answer the predicate that denotes that a class comprises exactly one of a given closed set individuals.

  Returns:
    The property that denotes a class defined its members being one of a give set.

### ON_PROPERTY

    Property ON_PROPERTY()

  Answer the predicate that maps from a `RESTRICTION()` to a property that it is a restriction on.

  Returns:
    The property that denotes a property that a restriction applies to.

### ALL_VALUES_FROM

    Property ALL_VALUES_FROM()

  Answer the predicate that denotes a restriction on a given property to have only values from the given class expression.

  Returns:
    The property that denotes a local property range restriction.

### HAS_VALUE

    Property HAS_VALUE()

  Answer the predicate that denotes a restriction on a given property to have a given value.

  Returns:
    The property that denotes a local property value restriction.

### SOME_VALUES_FROM

    Property SOME_VALUES_FROM()

  Answer the predicate that denotes a restriction on a given property to have at least one value from the given class expression.

  Returns:
    The property that denotes a local property range restriction.

### MIN_CARDINALITY

    Property MIN_CARDINALITY()

  Answer the predicate that denotes a restriction on a given property to have at least a certain number of values

  Returns:
    The property that denotes a local property cardinality lower bound.

### MAX_CARDINALITY

    Property MAX_CARDINALITY()

  Answer the predicate that denotes a restriction on a given property to have at most a certain number of values

  Returns:
    The property that denotes a local property cardinality upper bound.

### CARDINALITY

    Property CARDINALITY()

  Answer the predicate that denotes a restriction on a given property to have exactly a certain number of values

  Returns:
    The property that denotes a local property cardinality.

### MIN_CARDINALITY_Q

    Property MIN_CARDINALITY_Q()

  Answer the predicate that denotes a qualified restriction on a given property to have at least a certain number of values

  Returns:
    The property that denotes a local property cardinality lower bound.

### MAX_CARDINALITY_Q

    Property MAX_CARDINALITY_Q()

  Answer the predicate that denotes a qualified restriction on a given property to have at most a certain number of values

  Returns:
    The property that denotes a local property cardinality upper bound.

### CARDINALITY_Q

    Property CARDINALITY_Q()

  Answer the predicate that denotes a qualified restriction on a given property to have exactly a certain number of values

  Returns:
    The property that denotes a local property cardinality.

### HAS_CLASS_Q

    Property HAS_CLASS_Q()

  Answer the predicate that denotes a the class in a qualified restriction.

  Returns:
    The property that denotes the class of all values in a qualified restriction.

### INVERSE_OF

    Property INVERSE_OF()

  Answer the predicate that denotes that one property is the inverse of another

  Returns:
    The property that denotes the inverse relationship between properties

### IMPORTS

    Property IMPORTS()

  Answer the predicate that denotes that one ontology document imports another.

  Returns:
    The property that denotes ontology importing.

### VERSION_INFO

    Property VERSION_INFO()

  Answer the predicate that denotes version-info metadata on an ontology header

  Returns:
    The property that denotes ontology version information.

### PRIOR_VERSION

    Property PRIOR_VERSION()

  Answer the predicate that documents that one ontology is a prior version of another.

  Returns:
    The property that denotes ontology versioning

### BACKWARD_COMPATIBLE_WITH

    Property BACKWARD_COMPATIBLE_WITH()

  Answer the predicate that documents that one ontology resource is backwards compatible with another.

  Returns:
    The property that denotes ontology element backwards compatability.

### INCOMPATIBLE_WITH

    Property INCOMPATIBLE_WITH()

  Answer the predicate that documents that one ontology resource is not backwards compatible with another.

  Returns:
    The property that denotes ontology element backwards incompatability.

### SUB_CLASS_OF

    Property SUB_CLASS_OF()

  Answer the predicate that denotes that one class is a sub-class of another.

  Returns:
    The property that the sub-class relationship.

### SUB_PROPERTY_OF

    Property SUB_PROPERTY_OF()

  Answer the predicate that denotes that one property is a sub-property of another.

  Returns:
    The property that denotes the sub-property relationship.

### DOMAIN

    Property DOMAIN()

  Answer the predicate that denotes the domain of a property.

  Returns:
    The property that denotes a property domain

### RANGE

    Property RANGE()

  Answer the predicate that denotes the range of a property

  Returns:
    The property that denotes the property range

### LABEL

    Property LABEL()

  Answer the predicate that denotes `label` annotation on an ontology element

  Returns:
    The property that denotes the label annotation

### COMMENT

    Property COMMENT()

  Answer the predicate that denotes `comment` annotation on an ontology element

  Returns:
    The property that denotes the comment annotation

### SEE_ALSO

    Property SEE_ALSO()

  Answer the predicate that denotes `seeAlso` annotation on an ontology element

  Returns:
    The property that denotes the seeAlso annotation

### IS_DEFINED_BY

    Property IS_DEFINED_BY()

  Answer the predicate that denotes `isDefinedBy` annotation on an ontology element

  Returns:
    The property that denotes the isDefiendBy annotation

### FIRST

    Property FIRST()

  The property that denotes the head of a list

  Returns:
    The property that maps from a cell in a list to its value

### REST

    Property REST()

  The property that denotes the tail of a list

  Returns:
    The property that maps from a cell in a list to the remainder of the list

### LIST

    Resource LIST()

  The `rdf:type` for cells in this list

  Returns:
    The list rdf:type resource

### NIL

    Resource NIL()

  The resource that denotes the end of the list

### getAxiomTypes

    java.util.Iterator getAxiomTypes()

  Answer an iterator over the rdf:types in this language that denote stand-alone axioms.

  Returns:
    An iterator over axiom types.

### getAnnotationProperties

    java.util.Iterator getAnnotationProperties()

  Answer an iterator over the properties in this language that are denoted annotation properties. Not all languages have distinguished annotation properties.

  Returns:
    An iterator over annotation properties.

### getClassDescriptionTypes

    java.util.Iterator getClassDescriptionTypes()

  Answer an iterator over the various types of class description defined in the language.

  Returns:
    An iterator over the various rdf:types of class descriptions.

### hasAliasFor

    boolean hasAliasFor(Resource res)

  Answer true if the given resource has an alias in this profile.

  Parameters:
    `res` - A resource (including properties) to test for an alias
  Returns:
    True if there is an alias for `res`

### getAliasFor

    Resource getAliasFor(Resource res)

  Answer an alias for the given resource. If there is more than one such alias, a choice is made non-deterministically between the alternatives.

  Parameters:
    `res` - A resource (including properties) to test for an alias
  Returns:
    The alias for `res`, or one of the aliases for `res` if more than one is defined, or null if no alias is defined for `res`.

### listAliasesFor

    java.util.Iterator listAliasesFor(Resource res)

  Answer an iterator over the defined aliases for a resource.

  Parameters:
    `res` - A resource (including properties)
  Returns:
    An iterator over the aliases for `res`. If there are no aliases, the empty iterator is returned.

### isSupported

    boolean isSupported(Node n,
                        EnhGraph g,
                        java.lang.Class type)

  Answer true if the given graph supports a view of this node as the given language element, according to the semantic constraints of the profile. If strict checking on the ontology model is turned off, this check is skipped.

  Parameters:
    `n` - A node to test
    `g` - The enhanced graph containing `n`, which is assumed to be an `OntModel`.
    `type` - A class indicating the facet that we are testing against.
  Returns:
    True if strict checking is off, or if `n` can be viewed according to the facet resource `res`

### getLabel

    java.lang.String getLabel()

  Answer a descriptive string for this profile, for use in debugging and other output.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP